MR-E-2 SDK

Public Member Functions | List of all members
MrE2ModuleSdk.Device.IStatus Interface Reference
Inheritance diagram for MrE2ModuleSdk.Device.IStatus:

## Public Member Functions
int | GetBoardFirmwareId ()
| Returns firmware ID of the electronic. More...
int | GetBoardFirmwareBranch ()
| Returns branch ID of the electronic. More...
char | GetBoardFirmwareType ()
| Returns type of the electronic. More...
int | GetBoardFirmwareMajorVersion ()
| Returns firmware major version of the electronic. More...
int | GetBoardFirmwareMinorVersion ()
| Returns firmware minor version of the electronic. More...
int | GetBoardFirmwareRevisionVersion ()
| Returns firmware revision version of the electronic. More...
int | GetBoardFirmwareBuildVersion ()
| Returns firmware build version of the electronic. More...
int | GetProxyFpgaVersion ()
| Returns proxy FPGA version. More...
int | GetCpuFpgaVersion ()
| Returns CPU FPGA version. More...
string | GetFirmwareSerialNumber ()
| Returns firmware serial number. More...
string | GetGitHeadSha1 ()
| Returns Git Head SHA1. More...
IDeviceErrorState[] | GetDeviceStatus ()
| Returns states of the device. More...
void | ResetErrorFlags ()
| Resets error flag to 0. More...

## Member Function Documentation

## ◆ GetBoardFirmwareBranch()

int MrE2ModuleSdk.Device.IStatus.GetBoardFirmwareBranch | ( |  | ) |

Returns branch ID of the electronic.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetBoardFirmwareBuildVersion()

int MrE2ModuleSdk.Device.IStatus.GetBoardFirmwareBuildVersion | ( |  | ) |

Returns firmware build version of the electronic.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetBoardFirmwareId()

int MrE2ModuleSdk.Device.IStatus.GetBoardFirmwareId | ( |  | ) |

Returns firmware ID of the electronic.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetBoardFirmwareMajorVersion()

int MrE2ModuleSdk.Device.IStatus.GetBoardFirmwareMajorVersion | ( |  | ) |

Returns firmware major version of the electronic.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetBoardFirmwareMinorVersion()

int MrE2ModuleSdk.Device.IStatus.GetBoardFirmwareMinorVersion | ( |  | ) |

Returns firmware minor version of the electronic.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetBoardFirmwareRevisionVersion()

int MrE2ModuleSdk.Device.IStatus.GetBoardFirmwareRevisionVersion | ( |  | ) |

Returns firmware revision version of the electronic.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetBoardFirmwareType()

char MrE2ModuleSdk.Device.IStatus.GetBoardFirmwareType | ( |  | ) |

Returns type of the electronic.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetCpuFpgaVersion()

int MrE2ModuleSdk.Device.IStatus.GetCpuFpgaVersion | ( |  | ) |

Returns CPU FPGA version.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetDeviceStatus()

IDeviceErrorState [] MrE2ModuleSdk.Device.IStatus.GetDeviceStatus | ( |  | ) |

Returns states of the device.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetFirmwareSerialNumber()

string MrE2ModuleSdk.Device.IStatus.GetFirmwareSerialNumber | ( |  | ) |

Returns firmware serial number.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetGitHeadSha1()

string MrE2ModuleSdk.Device.IStatus.GetGitHeadSha1 | ( |  | ) |

Returns Git Head SHA1.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ GetProxyFpgaVersion()

int MrE2ModuleSdk.Device.IStatus.GetProxyFpgaVersion | ( |  | ) |

Returns proxy FPGA version.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ResetErrorFlags()

void MrE2ModuleSdk.Device.IStatus.ResetErrorFlags | ( |  | ) |

Resets error flag to 0.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

The documentation for this interface was generated from the following file:

- Device/MrE2SdkComDeviceController.cs